#### PyKDE - Python Bindings for KDE

# class KRegExp |
Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | KRegExp
Inherits |

### methods

- KRegExp ()

  returns a KRegExp instance

- KRegExp (_pattern, _mode = "")

  returns a KRegExp instance
  Argument | Type | Default
  --- | --- | ---
  _pattern | char |
  _mode | char | ""

- compile (_pattern, _mode = "")

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  _pattern | char |
  _mode | char | ""

- group (_grp)

  returns (char)
  Argument | Type | Default
  --- | --- | ---
  _grp | int |

- groupEnd (_grp)

  returns (int)
  Argument | Type | Default
  --- | --- | ---
  _grp | int |

- groupStart (_grp)

  returns (int)
  Argument | Type | Default
  --- | --- | ---
  _grp | int |

- match (_string)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  _string | char |